package l_msg_api

type (
	SmsOption     func(*smsOptionData)
	smsOptionData struct {
		Business SmsBusiness
	}
)

func WithBusiness(business SmsBusiness) SmsOption {

	return func(OptionData *smsOptionData) {
		OptionData.Business = business
	}
}

type (
	MesOption     func(*mesOptionData)
	mesOptionData struct {
		RequestWay RequestWay
	}
)

func WithRequestWay(RequestWay RequestWay) MesOption {
	return func(OptionData *mesOptionData) {
		OptionData.RequestWay = RequestWay
	}
}
