package protoc

import (
	"gitea.cdlsxd.cn/self-tools/l_msg_api/protoc/msg"
	"google.golang.org/grpc"
	"log"
)

var rpcMsgClient msg.MsgClient

func InstanceMsgClient(host string) msg.MsgClient {
	if rpcMsgClient != nil {
		return rpcMsgClient
	}
	conn, err := grpc.NewClient(host)
	if err != nil {
		log.Fatalf("did not connect: %v", err)
	}
	rpcMsgClient = msg.NewMsgClient(conn)
	return rpcMsgClient
}
